GRUB-FILE(1)

NAVN
grub-file - check file type

OVERSIKT
file VALG FIL

BESKRIVELSE
Sjekk om FIL er av valgt type.

--is-i386-xen-pae-domu
    Sjekk om FIL kan startes opp som en i386 PAE Xen uprivilegert gjestekjerne

--is-x86_64-xen-domu
    Sjekk om FIL kan startes opp som en X86_64 Xen uprivilegert gjestekjerne

--is-x86-xen-dom0
    Sjekk om FIL kan brukes som en Xen x86 privilegert gjestekjerne

--is-x86-multiboot
    Sjekk om FIL kan brukes som en x86 «multiboot»-kjerne

--is-x86-multiboot2 Sjekk om FIL kan brukes som en x86 «multiboot2»-kjerne

--is-arm-linux
    Sjekk om FIL er en ARM Linux-kjerne

--is-arm64-linux
    Sjekk om FIL er en ARM64 Linux-kjerne

--is-ia64-linux
    Sjekk om FIL er en IA64 Linux-kjerne

--is-mips-linux
    Sjekk om FIL er en MIPS Linux-kjerne

--is-mipsel-linux
    Sjekk om FIL er en MIPSEL Linux-kjerne

--is-sparc64-linux
    Sjekk om FIL er en SPARC64 Linux-kjerne

--is-powerpc-linux
    Sjekk om FIL er en POWERPC Linux-kjerne

--is-x86-linux
    Sjekk om FIL er en x86 Linux-kjerne

--is-x86-linux32
    Sjekk om FIL er en x86 Linux-kjerne som støtter 32-bitprotokoll

--is-x86-kfreebsd
    Sjekk om FIL er en x86 kFreeBSD-kjerne

--is-i386-kfreebsd
    Sjekk om FIL er en i386 kFreeBSD-kjerne

--is-x86_64-kfreebsd
    Sjekk om FIL er en x86_64 kFreeBSD-kjerne

--is-x86-knetbsd
    Sjekk om FIL er en x86 kNetBSD-kjerne

--is-i386-knetbsd
    Sjekk om FIL er en i386 kNetBSD-kjerne

--is-x86_64-knetbsd Sjekk om FIL er en x86_64 kNetBSD-kjerne

--is-i386-efi
    Sjekk om FIL er en i386 EFI-fil

--is-x86_64-efi
    Sjekk om FIL er en x86_64 EFI-fil

--is-ia64-efi
    Sjekk om FIL er en IA64 EFI-fil

--is-arm64-efi
    Sjekk om FIL er en ARM64 EFI-fil

--is-arm-efi
    Sjekk om FIL er en ARM EFI-fil

--is-riscv32-efi
    Sjekk om FIL er en RISC-V 32bit EFI-fil

--is-riscv64-efi
    Sjekk om FIL er en RISC-V 64bit EFI-fil

--is-hibernated-hiberfil
    Sjekk om FIL er hiberfil.sys i dvalemodus

--is-x86_64-xnu
    Sjekk om FIL er en x86_64 XNU(Mac OS X)-kjerne

--is-i386-xnu
    Sjekk om FIL er en i386 XNU(Mac OS X)-kjerne

--is-xnu-hibr
    Sjekk om FIL er et XNU(MAC OS X)-bilde i dvalemodus

--is-x86-bios-bootsector
    Sjekk om FIL er en BIOS-oppstartssektor

-h, --help Vis denne hjelpeteksten og avslutt. -u, --usage Vis bruksanvisning for denne kommandoen og avslutt.

SE OGSÅ
Den fullstendige dokumentasjonen for grub-file opprettholdes som en Texinfo manual. Dersom info og grub-file programmene er riktig installert på ditt sted burde kommandoen

    info grub-file

gi deg tilgang til hele manualen.

OVERSETTELSE
Den norske oversettelsen av denne manualsiden er laget av

Denne oversettelsen er gratis dokumentasjon; se GNU General Public License versjon 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senere for opphavsrettsvilkår. Vi påtar oss INGEN ANSVAR.

Hvis du finner feil i oversettelsen av denne håndboksiden, vennligst send en e-post til <TODO>.